ECDSA< EC, H > Struct Template Reference

ECDSA More...

`#include <eccrypto.h>`

Inheritance diagram for ECDSA< EC, H >:

## Public Types

typedef PK_FinalTemplate< DL_SignerImpl< SchemeOptions > > | Signer
| implements PK_Signer interface
typedef PK_FinalTemplate< DL_VerifierImpl< SchemeOptions > > | Verifier
| implements PK_Verifier interface
typedef DL_PublicKey_EC< EC > | PublicKey
typedef DL_PrivateKey_WithSignaturePairwiseConsistencyTest< DL_PrivateKey_EC< EC >, ECDSA< EC, SHA256 > > | PrivateKey

## Static Public Member Functions

static std::string | StaticAlgorithmName ()

## Detailed Description

### template<class EC, class H>
struct ECDSA< EC, H >

ECDSA

Definition at line 201 of file eccrypto.h.

The documentation for this struct was generated from the following file:

- eccrypto.h